//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.71-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PA5
// SDA    PA7
// RES    PB0
// DC     PB1
// CS     PA4 


#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
 {	u8 t;
		delay_init();	    	 	  
		NVIC_Configuration(); 	 
		OLED_Init();			 
		OLED_Clear()  	; 

			
		t=' ';
	while(1) 
	{	OLED_Clear();
		
    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//		
		OLED_ShowString(6,3,"0.71'");
				OLED_ShowString(0,2,"012345");
				OLED_ShowString(0,4,"ABCDEF'");
  
		OLED_ShowString(0,6,"ASCII:");  
		OLED_ShowString(63,6,"CODE:");  

		delay_ms(8000);
		delay_ms(8000);
		OLED_DrawBMP(0,0,48,8,BMP1);  
		delay_ms(8000);
					delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		OLED_DrawBMP(0,0,48,8,BMP2);
		delay_ms(8000);
					delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
				OLED_DrawBMP(0,0,48,8,BMP3);
		delay_ms(8000);
					delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
	}	  
	
}
